Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 101737 - Reverse Engineering shows 2-dimensional arrays for Collection types
Reverse Engineering shows 2-dimensional arrays for Collection types
Status: VERIFIED FIXED
Product: uml
Classification: Unclassified
Component: Reverse Engineering
5.x
All All
: P2 (vote)
: TBD
Assigned To: Craig Conover
issues@uml
HOL,release55_fixes_fixed
: REGRESSION
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2007-04-19 11:26 UTC by Alexandr Scherbatiy
Modified: 2007-05-11 15:05 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments
Main element (22.98 KB, image/png)
2007-04-19 11:27 UTC, Alexandr Scherbatiy
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Alexandr Scherbatiy 2007-04-19 11:26:23 UTC
I use all-nbms-griffin_fixes-070418_1-ml.zip 

Steps to reproduce:

- Reverse engineer the 'Main' class
  ----------------------------------------------------
  import java.util.List;
  import java.util.Set;

  public class Main {
    public Set<Object>  op(List<String> stringList){
        return null;
    }
  }
  ----------------------------------------------------
- Put the Class element on the Class diagram
  The operation of the element has 2-dimensional array types:
  public Object[0..*,0..*] op(String stringList[0..*,0..*])
Comment 1 Alexandr Scherbatiy 2007-04-19 11:27:52 UTC
Created attachment 41238 [details]
Main element
Comment 2 Craig Conover 2007-04-20 01:43:59 UTC
A backported fix for issue 101255 fixed this issue.
Comment 3 Alexandr Scherbatiy 2007-04-20 10:35:36 UTC
verified in all-nbms-griffin_fixes-070419_3-ml.zip 


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo